package com.xmomen.module.wx.model;

/**
 * 网页授权接口调用凭证
 */
public class AccessTokenOAuth {

    /**
     * 网页授权接口调用凭证,注意：此access_token与基础支持的access_token不同
     */
    private String accessToken;

    /**
     * access_token接口调用凭证超时时间，单位（秒）
     */
    private int expiresIn;

    /**
     * 用户刷新access_token
     */
    private String refreshToken;

    /**
     * 用户唯一标识
     */
    private String openid;

    /**
     * 用户授权的作用域，使用逗号（,）分隔
     */
    private String scope;

    // 获取访问令牌
    public String getAccessToken() {
        return accessToken;
    }

    // 设置访问令牌
    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    // 获取访问令牌过期时间
    public int getExpiresIn() {
        return expiresIn;
    }

    // 设置访问令牌过期时间
    public void setExpiresIn(int expiresIn) {
        this.expiresIn = expiresIn;
    }

    // 获取刷新令牌
    public String getRefreshToken() {
        return refreshToken;
    }

    // 设置刷新令牌
    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    public String getOpenid() {
    // 设置openid
        return openid;
    }

    // 获取scope
    public void setOpenid(String openid) {
        this.openid = openid;
    }

    // 设置scope
    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

}
